Module java.xml.ws
Package javax.xml.ws.handler

## Interface Handler<C extends MessageContext>

All Known Subinterfaces:
  LogicalHandler<C>, SOAPHandler<T>

    public interface Handler<C extends MessageContext>

The `Handler` interface is the base interface for JAX-WS handlers.

Since:
  1.6, JAX-WS 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close(MessageContext context)` Called at the conclusion of a message exchange pattern just prior to the JAX-WS runtime dispatching a message, fault or exception.
`boolean` `handleFault(C context)` The `handleFault` method is invoked for fault message processing.
`boolean` `handleMessage(C context)` The `handleMessage` method is invoked for normal processing of inbound and outbound messages.

### Method Detail

#### handleMessage

    boolean handleMessage(C context)

The `handleMessage` method is invoked for normal processing of inbound and outbound messages. Refer to the description of the handler framework in the JAX-WS specification for full details.

Parameters:
  `context` - the message context.
Returns:
  An indication of whether handler processing should continue for the current message
  - Return `true` to continue processing.
  - Return `false` to block processing.
Throws:
  `RuntimeException` - Causes the JAX-WS runtime to cease handler processing and generate a fault.
  `ProtocolException` - Causes the JAX-WS runtime to switch to fault message processing.

#### handleFault

    boolean handleFault(C context)

The `handleFault` method is invoked for fault message processing. Refer to the description of the handler framework in the JAX-WS specification for full details.

Parameters:
  `context` - the message context
Returns:
  An indication of whether handler fault processing should continue for the current message
  - Return `true` to continue processing.
  - Return `false` to block processing.
Throws:
  `RuntimeException` - Causes the JAX-WS runtime to cease handler fault processing and dispatch the fault.
  `ProtocolException` - Causes the JAX-WS runtime to cease handler fault processing and dispatch the fault.

#### close

    void close(MessageContext context)

Called at the conclusion of a message exchange pattern just prior to the JAX-WS runtime dispatching a message, fault or exception. Refer to the description of the handler framework in the JAX-WS specification for full details.

Parameters:
  `context` - the message context